Bluetooth doesn't work on 0930:0225 Toshiba Corporation

Bug #1522949 reported by Josiah Raiche on 2015-12-04
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Pilot6
Vivid
Undecided
Unassigned
Wily
Undecided
Unassigned

Bug Description

I have not been able to get bluetooth running in Ubuntu 14.04, 14.10, or 15.10 on my Toshiba laptop. Bluetooth does work under Windows. There is no bluetooth icon. The bluetooth manager says "Bluetooth is disabled" whether I set it to On or Off.

rfkill list:

0: Toshiba Bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
[...]

The modified kernel is because I installed btusb-lp1506615-dkms from https://launchpad.net/~hanipouspilot/+archive/ubuntu/bluetooth . No change in behavior.

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: linux-image-4.2.0-16-generic 4.2.0-16.19 [modified: boot/vmlinuz-4.2.0-16-generic]
ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
Uname: Linux 4.2.0-16-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.19.1-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: josiah 1874 F.... pulseaudio
 /dev/snd/controlC1: josiah 1874 F.... pulseaudio
CurrentDesktop: Unity
Date: Fri Dec 4 14:45:28 2015
HibernationDevice: RESUME=UUID=0bcbd4ab-9f94-44d7-857f-717f4e7c9481
InstallationDate: Installed on 2015-12-03 (1 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
MachineType: TOSHIBA Satellite L75-B
ProcEnviron:
 LANGUAGE=en_US
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: \boot\vmlinuz-4.2.0-16-generic.efi.signed root=UUID=edea9167-ead7-4da4-81ac-fa65520b3e91 ro quiet splash vt.handoff=7 initrd=boot\initrd.img-4.2.0-16-generic
RelatedPackageVersions:
 linux-restricted-modules-4.2.0-16-generic N/A
 linux-backports-modules-4.2.0-16-generic N/A
 linux-firmware 1.149
SourcePackage: linux
UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/03/2014
dmi.bios.vendor: Insyde Corp.
dmi.bios.version: 1.60
dmi.board.name: Portable PC
dmi.board.vendor: TOSHIBA
dmi.board.version: MP
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: OEM Chassis Manufacturer
dmi.chassis.version: OEM Chassis Version
dmi.modalias: dmi:bvnInsydeCorp.:bvr1.60:bd11/03/2014:svnTOSHIBA:pnSatelliteL75-B:pvrPSKRLU-01400M:rvnTOSHIBA:rnPortablePC:rvrMP:cvnOEMChassisManufacturer:ct10:cvrOEMChassisVersion:
dmi.product.name: Satellite L75-B
dmi.product.version: PSKRLU-01400M
dmi.sys.vendor: TOSHIBA

Josiah Raiche (jjraiche) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Pilot6 (hanipouspilot) wrote :

Please add output of

usb-devices | awk '/0930/' RS=

terminal command.

Josiah Raiche (jjraiche) wrote :

$ usb-devices | awk '/0930/' RS=
    T: Bus=03 Lev=02 Prnt=02 Port=05 Cnt=02 Dev#= 4 Spd=12 MxCh= 0
    D: Ver= 2.00 Cls=ff(vend.) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
    P: Vendor=0930 ProdID=0225 Rev=01.12
    S: Manufacturer=Broadcom Corp
    S: Product=BCM43142A0
    S: SerialNumber=4CBB58034671
    C: #Ifs= 4 Cfg#= 1 Atr=e0 MxPwr=0mA
    I: If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=01 Prot=01 Driver=(none)
    I: If#= 1 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=01 Prot=01 Driver=(none)
    I: If#= 2 Alt= 0 #EPs= 2 Cls=ff(vend.) Sub=ff Prot=ff Driver=(none)
    I: If#= 3 Alt= 0 #EPs= 0 Cls=fe(app. ) Sub=01 Prot=01 Driver=(none)

Pilot6 (hanipouspilot) on 2015-12-05
Changed in linux (Ubuntu):
assignee: nobody → Pilot6 (hanipouspilot)
Pilot6 (hanipouspilot) wrote :

I uploaded a test module. You can install it this way:

wget https://launchpad.net/~hanipouspilot/+archive/ubuntu/bluetooth/+files/btusb-lp1522949-dkms_0.1_all.deb
sudo dpkg -i btusb-lp1522949-dkms_0.1_all.deb

You will also need to convert and install the firmware. Use this manual for it:

http://askubuntu.com/a/632348/167850

Reboot, test it and report. If it works OK, I will send a patch upstream.

Pilot6 (hanipouspilot) wrote :

Comment: "wget ...." is one command. It is displayed in two lines here.

Changed in linux (Ubuntu):
status: Confirmed → In Progress
Josiah Raiche (jjraiche) wrote :

The .inf file from broadcom doesn't contain a line for my device. The closest I can find is USB\VID_0930&PID_0223. 0225 does not occur in the file. Should I use the one for 0223?

Pilot6 (hanipouspilot) wrote :

Try the other link. I see it in one of the inf files.

Josiah Raiche (jjraiche) wrote :

Ok, I went to the Toshiba website, downloaded the driver installer (TC00384700F.exe), browsed through it, and found a file called bcbtums-win7x64-brcm.inf

In that I found this line: USB\VID_0930&PID_0225, and then the .Copy.List entry for hex file: BCM43142A0_001.001.011.0197.0230.hex

So I'm working from that file. I'll let you know once I'm done.

Pilot6 (hanipouspilot) wrote :

If it does not work, do this

wget https://launchpad.net/~hanipouspilot/+archive/ubuntu/bluetooth/+files/btusb-lp1522949-dkms_0.2_all.deb
sudo dpkg -i btusb-lp1522949-dkms_0.2_all.deb

I updated the module version.

Download full text (3.7 KiB)

Thanks for updating the version. I had issues with that previously.

I did get this on the commandline:

btusb:
Running module version sanity check.
 - Original module
 - Multiple same named modules!
   - 2 named btusb.ko in /lib/modules/4.2.0-16-generic/
 - Installation
   - Installing to /lib/modules/4.2.0-16-generic/updates/dkms/

On Sun, Dec 6, 2015 at 9:49 AM, Pilot6 <email address hidden> wrote:

> If it does not work, do this
>
> wget
> https://launchpad.net/~hanipouspilot/+archive/ubuntu/bluetooth/+files/btusb-lp1522949-dkms_0.2_all.deb
> sudo dpkg -i btusb-lp1522949-dkms_0.2_all.deb
>
> I updated the module version.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1522949
>
> Title:
> Bluetooth doesn't work on 0930:0225 Toshiba Corporation
>
> Status in linux package in Ubuntu:
> In Progress
>
> Bug description:
> I have not been able to get bluetooth running in Ubuntu 14.04, 14.10,
> or 15.10 on my Toshiba laptop. Bluetooth does work under Windows.
> There is no bluetooth icon. The bluetooth manager says "Bluetooth is
> disabled" whether I set it to On or Off.
>
>
> rfkill list:
>
> 0: Toshiba Bluetooth: Bluetooth
> Soft blocked: no
> Hard blocked: no
> [...]
>
> The modified kernel is because I installed btusb-lp1506615-dkms from
> https://launchpad.net/~hanipouspilot/+archive/ubuntu/bluetooth . No
> change in behavior.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: linux-image-4.2.0-16-generic 4.2.0-16.19 [modified:
> boot/vmlinuz-4.2.0-16-generic]
> ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
> Uname: Linux 4.2.0-16-generic x86_64
> NonfreeKernelModules: wl
> ApportVersion: 2.19.1-0ubuntu3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: josiah 1874 F.... pulseaudio
> /dev/snd/controlC1: josiah 1874 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Fri Dec 4 14:45:28 2015
> HibernationDevice: RESUME=UUID=0bcbd4ab-9f94-44d7-857f-717f4e7c9481
> InstallationDate: Installed on 2015-12-03 (1 days ago)
> InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64
> (20151021)
> MachineType: TOSHIBA Satellite L75-B
> ProcEnviron:
> LANGUAGE=en_US
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: \boot\vmlinuz-4.2.0-16-generic.efi.signed
> root=UUID=edea9167-ead7-4da4-81ac-fa65520b3e91 ro quiet splash vt.handoff=7
> initrd=boot\initrd.img-4.2.0-16-generic
> RelatedPackageVersions:
> linux-restricted-modules-4.2.0-16-generic N/A
> linux-backports-modules-4.2.0-16-generic N/A
> linux-firmware 1.149
> SourcePackage: linux
> UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 11/03/2014
> dmi.bios.vendor: Insyde Corp.
> dmi.bios.version: 1.60
> dmi.board.name: Portable PC
> dmi.board.vendor: TOSHIBA
> dmi.board.version: MP
> dmi.chassis.asse...

Read more...

Josiah Raiche (jjraiche) wrote :

Ok, so I now have 2 bluetooth icons in the status bar and can turn bluetooth on/off. However, I can't discover my test device (a wireless speaker). I set this device up in windows no problem, so I know it's working and can be paired.

Any ideas?

Pilot6 (hanipouspilot) wrote :
Download full text (3.4 KiB)

Can you pair another device like a phone?

2015-12-08 4:49 GMT+03:00 Josiah Raiche <email address hidden>:
> Ok, so I now have 2 bluetooth icons in the status bar and can turn
> bluetooth on/off. However, I can't discover my test device (a wireless
> speaker). I set this device up in windows no problem, so I know it's
> working and can be paired.
>
> Any ideas?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1522949
>
> Title:
> Bluetooth doesn't work on 0930:0225 Toshiba Corporation
>
> Status in linux package in Ubuntu:
> In Progress
>
> Bug description:
> I have not been able to get bluetooth running in Ubuntu 14.04, 14.10,
> or 15.10 on my Toshiba laptop. Bluetooth does work under Windows.
> There is no bluetooth icon. The bluetooth manager says "Bluetooth is
> disabled" whether I set it to On or Off.
>
>
> rfkill list:
>
> 0: Toshiba Bluetooth: Bluetooth
> Soft blocked: no
> Hard blocked: no
> [...]
>
> The modified kernel is because I installed btusb-lp1506615-dkms from
> https://launchpad.net/~hanipouspilot/+archive/ubuntu/bluetooth . No
> change in behavior.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: linux-image-4.2.0-16-generic 4.2.0-16.19 [modified: boot/vmlinuz-4.2.0-16-generic]
> ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
> Uname: Linux 4.2.0-16-generic x86_64
> NonfreeKernelModules: wl
> ApportVersion: 2.19.1-0ubuntu3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: josiah 1874 F.... pulseaudio
> /dev/snd/controlC1: josiah 1874 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Fri Dec 4 14:45:28 2015
> HibernationDevice: RESUME=UUID=0bcbd4ab-9f94-44d7-857f-717f4e7c9481
> InstallationDate: Installed on 2015-12-03 (1 days ago)
> InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
> MachineType: TOSHIBA Satellite L75-B
> ProcEnviron:
> LANGUAGE=en_US
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: \boot\vmlinuz-4.2.0-16-generic.efi.signed root=UUID=edea9167-ead7-4da4-81ac-fa65520b3e91 ro quiet splash vt.handoff=7 initrd=boot\initrd.img-4.2.0-16-generic
> RelatedPackageVersions:
> linux-restricted-modules-4.2.0-16-generic N/A
> linux-backports-modules-4.2.0-16-generic N/A
> linux-firmware 1.149
> SourcePackage: linux
> UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 11/03/2014
> dmi.bios.vendor: Insyde Corp.
> dmi.bios.version: 1.60
> dmi.board.name: Portable PC
> dmi.board.vendor: TOSHIBA
> dmi.board.version: MP
> dmi.chassis.asset.tag: No Asset Tag
> dmi.chassis.type: 10
> dmi.chassis.vendor: OEM Chassis Manufacturer
> dmi.chassis.version: OEM Chassis Version
> dmi.modalias: dmi:bvnInsydeCorp.:bvr1.60:bd11/03/2014:svnTOSHIBA:pnSatelliteL75-B:pvrPSKRLU-01400M:rvnTOSHIBA:rnPortablePC:rvrMP:cvnOEMChassis...

Read more...

Pilot6 (hanipouspilot) wrote :
Download full text (3.6 KiB)

And what about the firmware? Please give output of

dmesg | grep -i blue

2015-12-08 9:48 GMT+03:00 Dmitry Tunin <email address hidden>:
> Can you pair another device like a phone?
>
> 2015-12-08 4:49 GMT+03:00 Josiah Raiche <email address hidden>:
>> Ok, so I now have 2 bluetooth icons in the status bar and can turn
>> bluetooth on/off. However, I can't discover my test device (a wireless
>> speaker). I set this device up in windows no problem, so I know it's
>> working and can be paired.
>>
>> Any ideas?
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1522949
>>
>> Title:
>> Bluetooth doesn't work on 0930:0225 Toshiba Corporation
>>
>> Status in linux package in Ubuntu:
>> In Progress
>>
>> Bug description:
>> I have not been able to get bluetooth running in Ubuntu 14.04, 14.10,
>> or 15.10 on my Toshiba laptop. Bluetooth does work under Windows.
>> There is no bluetooth icon. The bluetooth manager says "Bluetooth is
>> disabled" whether I set it to On or Off.
>>
>>
>> rfkill list:
>>
>> 0: Toshiba Bluetooth: Bluetooth
>> Soft blocked: no
>> Hard blocked: no
>> [...]
>>
>> The modified kernel is because I installed btusb-lp1506615-dkms from
>> https://launchpad.net/~hanipouspilot/+archive/ubuntu/bluetooth . No
>> change in behavior.
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 15.10
>> Package: linux-image-4.2.0-16-generic 4.2.0-16.19 [modified: boot/vmlinuz-4.2.0-16-generic]
>> ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
>> Uname: Linux 4.2.0-16-generic x86_64
>> NonfreeKernelModules: wl
>> ApportVersion: 2.19.1-0ubuntu3
>> Architecture: amd64
>> AudioDevicesInUse:
>> USER PID ACCESS COMMAND
>> /dev/snd/controlC0: josiah 1874 F.... pulseaudio
>> /dev/snd/controlC1: josiah 1874 F.... pulseaudio
>> CurrentDesktop: Unity
>> Date: Fri Dec 4 14:45:28 2015
>> HibernationDevice: RESUME=UUID=0bcbd4ab-9f94-44d7-857f-717f4e7c9481
>> InstallationDate: Installed on 2015-12-03 (1 days ago)
>> InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
>> MachineType: TOSHIBA Satellite L75-B
>> ProcEnviron:
>> LANGUAGE=en_US
>> PATH=(custom, no user)
>> XDG_RUNTIME_DIR=<set>
>> LANG=en_US.UTF-8
>> SHELL=/bin/bash
>> ProcFB: 0 inteldrmfb
>> ProcKernelCmdLine: \boot\vmlinuz-4.2.0-16-generic.efi.signed root=UUID=edea9167-ead7-4da4-81ac-fa65520b3e91 ro quiet splash vt.handoff=7 initrd=boot\initrd.img-4.2.0-16-generic
>> RelatedPackageVersions:
>> linux-restricted-modules-4.2.0-16-generic N/A
>> linux-backports-modules-4.2.0-16-generic N/A
>> linux-firmware 1.149
>> SourcePackage: linux
>> UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
>> UpgradeStatus: No upgrade log present (probably fresh install)
>> dmi.bios.date: 11/03/2014
>> dmi.bios.vendor: Insyde Corp.
>> dmi.bios.version: 1.60
>> dmi.board.name: Portable PC
>> dmi.board.vendor: TOSHIBA
>> dmi.board.version: MP
>> dmi.chassis.asset.tag: No Asset Tag
>> dmi.chassis.type: 10
>> dmi.chassis.v...

Read more...

Josiah Raiche (jjraiche) wrote :
Download full text (6.1 KiB)

I've just tried it with my wife's phone and it cannot see other devices or be seen by them.

I think you're right about the firmware. Do I need to rename the .hcd file?

$ dmesg | grep -i blue
[ 7.220345] toshiba_bluetooth: Toshiba ACPI Bluetooth device driver
[ 9.324633] Bluetooth: Core ver 2.20
[ 9.324652] Bluetooth: HCI device and connection manager initialized
[ 9.324655] Bluetooth: HCI socket layer initialized
[ 9.324658] Bluetooth: L2CAP socket layer initialized
[ 9.324663] Bluetooth: SCO socket layer initialized
[ 10.102717] Bluetooth: hci0: BCM: chip id 70
[ 10.102732] Bluetooth: hci0: BCM (001.001.011) build 0000
[ 10.201305] bluetooth hci0: Direct firmware load for brcm/BCM.hcd failed with error -2
[ 10.201311] Bluetooth: hci0: BCM: Patch brcm/BCM.hcd not found
[ 12.206876] Bluetooth: hci0 command 0x1003 tx timeout
[ 20.557296] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 20.557300] Bluetooth: BNEP filters: protocol multicast
[ 20.557304] Bluetooth: BNEP socket layer initialized
[ 27.343887] Bluetooth: RFCOMM TTY layer initialized
[ 27.343894] Bluetooth: RFCOMM socket layer initialized
[ 27.343899] Bluetooth: RFCOMM ver 1.11
[ 975.436789] Bluetooth: hci0: BCM: chip id 70
[ 975.436798] Bluetooth: hci0: BCM (001.001.011) build 0000
[ 975.436823] bluetooth hci0: Direct firmware load for brcm/BCM.hcd failed with error -2
[ 975.436827] Bluetooth: hci0: BCM: Patch brcm/BCM.hcd not found
[ 977.441211] Bluetooth: hci0 command 0x1003 tx timeout
[ 1052.412795] Bluetooth: hci0: BCM: chip id 70
[ 1052.412803] Bluetooth: hci0: BCM (001.001.011) build 0000
[ 1052.412827] bluetooth hci0: Direct firmware load for brcm/BCM.hcd failed with error -2
[ 1052.412831] Bluetooth: hci0: BCM: Patch brcm/BCM.hcd not found
[ 3982.782368] Modules linked in: cmac rfcomm bnep pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) binfmt_misc nls_iso8859_1 btusb(OE) uvcvideo btrtl btbcm btintel videobuf2_vmalloc videobuf2_memops videobuf2_core bluetooth snd_hda_codec_hdmi v4l2_common videodev media intel_rapl iosf_mbi x86_pkg_temp_thermal intel_powerclamp snd_hda_codec_realtek snd_hda_codec_generic coretemp snd_hda_intel kvm_intel snd_hda_codec kvm snd_hda_core snd_hwdep wl(POE) crct10dif_pclmul crc32_pclmul ghash_clmulni_intel snd_seq_midi rtsx_pci_ms snd_seq_midi_event snd_rawmidi memstick cryptd snd_seq snd_seq_device cfg80211 snd_soc_rt5640 snd_soc_rl6231 toshiba_acpi snd_soc_core joydev input_leds snd_compress ac97_bus serio_raw snd_pcm_dmaengine snd_pcm snd_timer sparse_keymap dw_dmac i2c_designware_platform
[ 3982.782415] i2c_designware_core toshiba_bluetooth snd dw_dmac_core soc_button_array soundcore snd_soc_sst_acpi 8250_dw shpchp spi_pxa2xx_platform mei_me mei lpc_ich mac_hid parport_pc ppdev lp parport autofs4 rtsx_pci_sdmmc i915 psmouse ahci i2c_algo_bit libahci drm_kms_helper rtsx_pci drm r8169 mii wmi video i2c_hid hid sdhci_acpi sdhci
[ 4312.154947] Modules linked in: cmac rfcomm bnep pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) binfmt_misc nls_iso8859_1 btusb(OE) uvcvideo btrtl btbcm btintel videobuf2_vmalloc videobuf2_memops videobuf2_core bluetooth snd_hda_codec_hdmi v4l2...

Read more...

Pilot6 (hanipouspilot) wrote :
Download full text (9.4 KiB)

See this?
BCM: Patch brcm/BCM.hcd not found

You need to convert the firmware and copy it as /lib/firmware/brcm/BCM.hcd

2015-12-09 1:00 GMT+03:00 Josiah Raiche <email address hidden>:
> I've just tried it with my wife's phone and it cannot see other devices
> or be seen by them.
>
> I think you're right about the firmware. Do I need to rename the .hcd
> file?
>
> $ dmesg | grep -i blue
> [ 7.220345] toshiba_bluetooth: Toshiba ACPI Bluetooth device driver
> [ 9.324633] Bluetooth: Core ver 2.20
> [ 9.324652] Bluetooth: HCI device and connection manager initialized
> [ 9.324655] Bluetooth: HCI socket layer initialized
> [ 9.324658] Bluetooth: L2CAP socket layer initialized
> [ 9.324663] Bluetooth: SCO socket layer initialized
> [ 10.102717] Bluetooth: hci0: BCM: chip id 70
> [ 10.102732] Bluetooth: hci0: BCM (001.001.011) build 0000
> [ 10.201305] bluetooth hci0: Direct firmware load for brcm/BCM.hcd failed with error -2
> [ 10.201311] Bluetooth: hci0: BCM: Patch brcm/BCM.hcd not found
> [ 12.206876] Bluetooth: hci0 command 0x1003 tx timeout
> [ 20.557296] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
> [ 20.557300] Bluetooth: BNEP filters: protocol multicast
> [ 20.557304] Bluetooth: BNEP socket layer initialized
> [ 27.343887] Bluetooth: RFCOMM TTY layer initialized
> [ 27.343894] Bluetooth: RFCOMM socket layer initialized
> [ 27.343899] Bluetooth: RFCOMM ver 1.11
> [ 975.436789] Bluetooth: hci0: BCM: chip id 70
> [ 975.436798] Bluetooth: hci0: BCM (001.001.011) build 0000
> [ 975.436823] bluetooth hci0: Direct firmware load for brcm/BCM.hcd failed with error -2
> [ 975.436827] Bluetooth: hci0: BCM: Patch brcm/BCM.hcd not found
> [ 977.441211] Bluetooth: hci0 command 0x1003 tx timeout
> [ 1052.412795] Bluetooth: hci0: BCM: chip id 70
> [ 1052.412803] Bluetooth: hci0: BCM (001.001.011) build 0000
> [ 1052.412827] bluetooth hci0: Direct firmware load for brcm/BCM.hcd failed with error -2
> [ 1052.412831] Bluetooth: hci0: BCM: Patch brcm/BCM.hcd not found
> [ 3982.782368] Modules linked in: cmac rfcomm bnep pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) binfmt_misc nls_iso8859_1 btusb(OE) uvcvideo btrtl btbcm btintel videobuf2_vmalloc videobuf2_memops videobuf2_core bluetooth snd_hda_codec_hdmi v4l2_common videodev media intel_rapl iosf_mbi x86_pkg_temp_thermal intel_powerclamp snd_hda_codec_realtek snd_hda_codec_generic coretemp snd_hda_intel kvm_intel snd_hda_codec kvm snd_hda_core snd_hwdep wl(POE) crct10dif_pclmul crc32_pclmul ghash_clmulni_intel snd_seq_midi rtsx_pci_ms snd_seq_midi_event snd_rawmidi memstick cryptd snd_seq snd_seq_device cfg80211 snd_soc_rt5640 snd_soc_rl6231 toshiba_acpi snd_soc_core joydev input_leds snd_compress ac97_bus serio_raw snd_pcm_dmaengine snd_pcm snd_timer sparse_keymap dw_dmac i2c_designware_platform
> [ 3982.782415] i2c_designware_core toshiba_bluetooth snd dw_dmac_core soc_button_array soundcore snd_soc_sst_acpi 8250_dw shpchp spi_pxa2xx_platform mei_me mei lpc_ich mac_hid parport_pc ppdev lp parport autofs4 rtsx_pci_sdmmc i915 psmouse ahci i2c_algo_bit libahci drm_kms_helper rtsx_pci drm r8169 mii wmi video i2c_hid hid sdhci_acpi sdhci
> [ 4312.154...

Read more...

Josiah Raiche (jjraiche) wrote :

Somehow I missed the step where I rename it, though I see it now with the word "Important" in front of it in your instructions. Working great now! Thanks so much!

So can a script be made that grabs (wgets) the drivers from the broadcom website and extracts the right one? Would that be legal? Maybe something like some of the flash installers?

Pilot6 (hanipouspilot) wrote :

Where do you see downloadable firmware at Broadcom site?

Josiah Raiche (jjraiche) wrote :
Download full text (3.2 KiB)

Well, it was from the Toshiba site. I see your point.

On Wed, Dec 9, 2015 at 4:20 AM, Pilot6 <email address hidden> wrote:

> Where do you see downloadable firmware at Broadcom site?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1522949
>
> Title:
> Bluetooth doesn't work on 0930:0225 Toshiba Corporation
>
> Status in linux package in Ubuntu:
> In Progress
>
> Bug description:
> I have not been able to get bluetooth running in Ubuntu 14.04, 14.10,
> or 15.10 on my Toshiba laptop. Bluetooth does work under Windows.
> There is no bluetooth icon. The bluetooth manager says "Bluetooth is
> disabled" whether I set it to On or Off.
>
>
> rfkill list:
>
> 0: Toshiba Bluetooth: Bluetooth
> Soft blocked: no
> Hard blocked: no
> [...]
>
> The modified kernel is because I installed btusb-lp1506615-dkms from
> https://launchpad.net/~hanipouspilot/+archive/ubuntu/bluetooth . No
> change in behavior.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: linux-image-4.2.0-16-generic 4.2.0-16.19 [modified:
> boot/vmlinuz-4.2.0-16-generic]
> ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
> Uname: Linux 4.2.0-16-generic x86_64
> NonfreeKernelModules: wl
> ApportVersion: 2.19.1-0ubuntu3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: josiah 1874 F.... pulseaudio
> /dev/snd/controlC1: josiah 1874 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Fri Dec 4 14:45:28 2015
> HibernationDevice: RESUME=UUID=0bcbd4ab-9f94-44d7-857f-717f4e7c9481
> InstallationDate: Installed on 2015-12-03 (1 days ago)
> InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64
> (20151021)
> MachineType: TOSHIBA Satellite L75-B
> ProcEnviron:
> LANGUAGE=en_US
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: \boot\vmlinuz-4.2.0-16-generic.efi.signed
> root=UUID=edea9167-ead7-4da4-81ac-fa65520b3e91 ro quiet splash vt.handoff=7
> initrd=boot\initrd.img-4.2.0-16-generic
> RelatedPackageVersions:
> linux-restricted-modules-4.2.0-16-generic N/A
> linux-backports-modules-4.2.0-16-generic N/A
> linux-firmware 1.149
> SourcePackage: linux
> UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 11/03/2014
> dmi.bios.vendor: Insyde Corp.
> dmi.bios.version: 1.60
> dmi.board.name: Portable PC
> dmi.board.vendor: TOSHIBA
> dmi.board.version: MP
> dmi.chassis.asset.tag: No Asset Tag
> dmi.chassis.type: 10
> dmi.chassis.vendor: OEM Chassis Manufacturer
> dmi.chassis.version: OEM Chassis Version
> dmi.modalias:
> dmi:bvnInsydeCorp.:bvr1.60:bd11/03/2014:svnTOSHIBA:pnSatelliteL75-B:pvrPSKRLU-01400M:rvnTOSHIBA:rnPortablePC:rvrMP:cvnOEMChassisManufacturer:ct10:cvrOEMChassisVersion:
> dmi.product.name: Satellite L75-B
> dmi.product.version: PSKRLU-01400M
> dmi.sys.vendor: TOSHIBA
>
> To manage not...

Read more...

Pilot6 (hanipouspilot) wrote :

If you find a RELIABLE place with legally downloadable Broadcom drivers containing this kind of firmware, I can probably develop a PPA that will download and install it.

But I am not quite sure that conversion if hex to hcd comply the license either. Did you read it?

Pilot6 (hanipouspilot) wrote :

BTW, I sent the patch upstream and it has been committed already.

http://www.spinics.net/lists/linux-bluetooth/msg65681.html

Josiah Raiche (jjraiche) wrote :
Download full text (4.3 KiB)

I'm no expert on EULAs and not a laywer.

I think you'd be covered by the Toshiba download if you displayed the EULA
and had people accept it. The generic toshiba EULA seems to say that you
need to accept that you won't redistribute it for each machine you put it
on. By having the user confirm the EULA to download, you'd be doing more
than the toshiba site does.

Here's the link to the broadcom driver download I used:
http://cdgenp01.csd.toshiba.com/content/support/downloads/TC00384700F.exe.
They have lots of other bluetooth driver packages as well.

And the generic EULA linked on the download page:
http://support.toshiba.com/support/navShell?cf=su_eula&pf=true

They have instructions for an unattended install, which states that using
the software constitutes acceptance of the EULA. This seems to be a tacit
acceptance that the installer is redistributable, as unattended installs
are generally done using the same files on many machines.

Not sure if that helps. Maybe someone with more experience can help out
here.

On Wed, Dec 9, 2015 at 10:40 AM, Pilot6 <email address hidden> wrote:

> BTW, I sent the patch upstream and it has been committed already.
>
> http://www.spinics.net/lists/linux-bluetooth/msg65681.html
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1522949
>
> Title:
> Bluetooth doesn't work on 0930:0225 Toshiba Corporation
>
> Status in linux package in Ubuntu:
> In Progress
>
> Bug description:
> I have not been able to get bluetooth running in Ubuntu 14.04, 14.10,
> or 15.10 on my Toshiba laptop. Bluetooth does work under Windows.
> There is no bluetooth icon. The bluetooth manager says "Bluetooth is
> disabled" whether I set it to On or Off.
>
>
> rfkill list:
>
> 0: Toshiba Bluetooth: Bluetooth
> Soft blocked: no
> Hard blocked: no
> [...]
>
> The modified kernel is because I installed btusb-lp1506615-dkms from
> https://launchpad.net/~hanipouspilot/+archive/ubuntu/bluetooth . No
> change in behavior.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: linux-image-4.2.0-16-generic 4.2.0-16.19 [modified:
> boot/vmlinuz-4.2.0-16-generic]
> ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
> Uname: Linux 4.2.0-16-generic x86_64
> NonfreeKernelModules: wl
> ApportVersion: 2.19.1-0ubuntu3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: josiah 1874 F.... pulseaudio
> /dev/snd/controlC1: josiah 1874 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Fri Dec 4 14:45:28 2015
> HibernationDevice: RESUME=UUID=0bcbd4ab-9f94-44d7-857f-717f4e7c9481
> InstallationDate: Installed on 2015-12-03 (1 days ago)
> InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64
> (20151021)
> MachineType: TOSHIBA Satellite L75-B
> ProcEnviron:
> LANGUAGE=en_US
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: \boot\vmlinuz-4.2.0-16-generic.efi.signed
> root=UUID=edea9167-ead7-4da4-81ac-fa65520b3e91 ro quiet splash...

Read more...

Changed in linux (Ubuntu):
importance: Undecided → Medium
Pilot6 (hanipouspilot) on 2015-12-20
Changed in linux (Ubuntu):
status: In Progress → Fix Released
Brad Figg (brad-figg) on 2016-02-01
Changed in linux (Ubuntu Wily):
status: New → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-wily' to 'verification-done-wily'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-wily
Pilot6 (hanipouspilot) wrote :

@brad-figg

The verification of this patch has been done in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1522949/comments/18

tags: added: verification-done-wily
removed: verification-needed-wily
Launchpad Janitor (janitor) wrote :
Download full text (43.7 KiB)

This bug was fixed in the package linux - 4.2.0-30.35

---------------
linux (4.2.0-30.35) wily; urgency=low

  [ Seth Forshee ]

  * SAUCE: cred: Add clone_cred() interface
    - LP: #1531747, #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Use mounter's credentials instead of selectively
    raising caps
    - LP: #1531747, #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Skip permission checking for trusted.overlayfs.*
    xattrs
    - LP: #1531747, #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Be more careful about copying up sxid files
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Propogate nosuid from lower and upper mounts
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576

linux (4.2.0-29.34) wily; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1543167

  [ Brad Figg ]

  * Revert "SAUCE: apparmor: fix sleep from invalid context"
    - LP: #1542049

  [ Upstream Kernel Changes ]

  * Revert "af_unix: Revert 'lock_interruptible' in stream receive code"
    - LP: #1540731

linux (4.2.0-28.33) wily; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1540634

  [ Brad Figg ]

  * CONFIG: CONFIG_DEBUG_UART_BCM63XX is not set

  [ J. R. Okajima ]

  * SAUCE: ubuntu: aufs: tiny, extract a new func xino_fwrite_wkq()
    - LP: #1533043
  * SAUCE: ubuntu: aufs: for 4.3, XINO handles EINTR from the dying process
    - LP: #1533043

  [ John Johansen ]

  * SAUCE: (no-up): apparmor: fix for failed mediation of socket that is
    being shutdown
    - LP: #1446906
  * SAUCE: apparmor: fix sleep from invalid context
    - LP: #1539349

  [ Tim Gardner ]

  * [Config] Add pvpanic to virtual flavour
    - LP: #1537923

  [ Upstream Kernel Changes ]

  * Revert "ACPI / LPSS: allow to use specific PM domain during ->probe()"
    - LP: #1540532
  * tools: Add a "make all" rule
    - LP: #1536370
  * vf610_adc: Fix internal temperature calculation
    - LP: #1536370
  * iio: lpc32xx_adc: fix warnings caused by enabling unprepared clock
    - LP: #1536370
  * iio:ad5064: Make sure ad5064_i2c_write() returns 0 on success
    - LP: #1536370
  * iio: ad5064: Fix ad5629/ad5669 shift
    - LP: #1536370
  * iio:ad7793: Fix ad7785 product ID
    - LP: #1536370
  * iio: adc: vf610_adc: Fix division by zero error
    - LP: #1536370
  * mmc: mmc: Improve reliability of mmc_select_hs200()
    - LP: #1536370
  * mmc: mmc: Fix HS setting in mmc_select_hs400()
    - LP: #1536370
  * mmc: mmc: Move mmc_switch_status()
    - LP: #1536370
  * mmc: mmc: Improve reliability of mmc_select_hs400()
    - LP: #1536370
  * crypto: qat - don't use userspace pointer
    - LP: #1536370
  * iio: si7020: Swap data byte order
    - LP: #1536370
  * iio: adc: xilinx: Fix VREFN scale
    - LP: #1536370
  * ipmi: Start the timer and thread on internal msgs
    - LP: #1536370
  * drm/i915: quirk backlight present on Macbook 4, 1
    - LP: #1536370
  * drm/i915: get runtime PM reference around GEM set_caching IOCTL
    - LP: #1536370
  * drm/radeon: Disable uncacheable CPU mappings of GTT with RV6xx
    - LP: #1536370
  *...

Changed in linux (Ubuntu Wily):
status: Fix Committed → Fix Released
Brad Figg (brad-figg) on 2016-02-23
Changed in linux (Ubuntu Vivid):
status: New → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-vivid' to 'verification-done-vivid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-vivid
Josiah Raiche (jjraiche) wrote :

I'm running Wily, so I can't test it on Vivid directly. I can confirm though that with the new kernel updates, bluetooth is working under wily.

Launchpad Janitor (janitor) wrote :
Download full text (21.3 KiB)

This bug was fixed in the package linux - 3.19.0-56.62

---------------
linux (3.19.0-56.62) vivid; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1555832

  [ Florian Westphal ]

  * SAUCE: [nf,v2] netfilter: x_tables: don't rely on well-behaving
    userspace
    - LP: #1555338

linux (3.19.0-55.61) vivid; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1554708

  [ Upstream Kernel Changes ]

  * Revert "drm/radeon: call hpd_irq_event on resume"
    - LP: #1554608

linux (3.19.0-54.60) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1552337

  [ Upstream Kernel Changes ]

  * Revert "firmware: dmi_scan: Fix UUID endianness for SMBIOS >= 2.6"
    - LP: #1551419

linux (3.19.0-53.59) vivid; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1550576

  [ Kamal Mostafa ]

  * Merged back 3.19.0-52.58

linux (3.19.0-52.58) vivid; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1548548

  [ Dan Streetman ]

  * SAUCE: nbd: ratelimit error msgs after socket close
    - LP: #1505564

  [ Upstream Kernel Changes ]

  * Revert "ACPI / LPSS: allow to use specific PM domain during ->probe()"
    - LP: #1542457
  * Revert "workqueue: make sure delayed work run in local cpu"
    - LP: #1546320
  * net: ipmr: fix static mfc/dev leaks on table destruction
    - LP: #1542457
  * drm/nouveau/nv46: Change mc subdev oclass from nv44 to nv4c
    - LP: #1542457
  * ovl: allow zero size xattr
    - LP: #1542457
  * ovl: use a minimal buffer in ovl_copy_xattr
    - LP: #1542457
  * [media] vb2: fix a regression in poll() behavior for output,streams
    - LP: #1542457
  * [media] gspca: ov534/topro: prevent a division by 0
    - LP: #1542457
  * [media] media: dvb-core: Don't force CAN_INVERSION_AUTO in oneshot mode
    - LP: #1542457
  * tools lib traceevent: Fix output of %llu for 64 bit values read on 32
    bit machines
    - LP: #1542457
  * KVM: x86: expose MSR_TSC_AUX to userspace
    - LP: #1542457
  * KVM: x86: correctly print #AC in traces
    - LP: #1542457
  * drm/radeon: call hpd_irq_event on resume
    - LP: #1542457
  * xhci: refuse loading if nousb is used
    - LP: #1542457
  * arm64: Clear out any singlestep state on a ptrace detach operation
    - LP: #1542457
  * time: Avoid signed overflow in timekeeping_get_ns()
    - LP: #1542457
  * ovl: root: copy attr
    - LP: #1542457
  * Bluetooth: Add support of Toshiba Broadcom based devices
    - LP: #1522949, #1542457
  * rtlwifi: fix memory leak for USB device
    - LP: #1542457
  * wlcore/wl12xx: spi: fix oops on firmware load
    - LP: #1542457
  * ovl: check dentry positiveness in ovl_cleanup_whiteouts()
    - LP: #1542457
  * EDAC, mc_sysfs: Fix freeing bus' name
    - LP: #1542457
  * EDAC: Robustify workqueues destruction
    - LP: #1542457
  * arm64: mm: ensure that the zero page is visible to the page table
    walker
    - LP: #1542457
  * powerpc: Make value-returning atomics fully ordered
    - LP: #1542457
  * powerpc: Make {cmp}xchg* and their atomic_ versions fully ordered
    - LP: #1542457
  * dm space map metadata: remove unused variable in brb_pop()
    - LP: #1542457
  * dm thi...

Changed in linux (Ubuntu Vivid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers